Please upgrade your browser for the best possible experience.

Chrome Firefox Internet Explorer
×

purple item problem

First BioWare Post First BioWare Post

Ganden's Avatar


Ganden
12.04.2012 , 06:23 PM | #81
Count me in with having this issue also.
Ganden Venorsi
Ataru shall set me free...
Editor-in-chief
SWTOR-RP

theblaznee's Avatar


theblaznee
12.04.2012 , 06:28 PM | #82
Same here, and did some testing..

lvl 22 toon tries to put on lvl 21 purple = No success

Send the same 21 purple to a lvl 50 toon = no success

Get a lvl 50 piece, and then try it on a lvl 50 toon = success

So it only affects purple items under level 50..

Please fix for subscribing people asap...
Don't mistake my silence for ignorance, my calmness for acceptance or my kindness for weakness!

Fight hard, die well!

Avoki_Kusumi's Avatar


Avoki_Kusumi
12.04.2012 , 06:31 PM | #83
Same issue, Subscriber since pre-order times, today cannot equip artifact level lower than requiring lvl 50. Yesterday no problem doing so.



Started to remember why I went away two months ago...

Kurisumasenka's Avatar


Kurisumasenka
12.04.2012 , 06:33 PM | #84
Quote: Originally Posted by MarkoJinn View Post
I have a level 15 marauder who is trying to equip Expert Combat Synth Vest. This item was crafted by my level 50 sorcerer/synthweaver. When I try to equip it I get the following message:

You cannot use or equip this item due to your subscription permissions...

Here is the link to a screenshot:

http://www.flickr.com/photos/9075200...in/photostream
I'm having the exact same problem

KenjiTamada's Avatar


KenjiTamada
12.04.2012 , 06:35 PM | #85
Well at least I am not alone^^.
If many have this problem then there will be a fix soon.
Thats quite a relieve.

IronSalamander's Avatar


IronSalamander
12.04.2012 , 06:42 PM | #86
I am a subscriber, double-checked my status just to make sure there wasn't a billing issue, and my assassin Kaliara cannot equip: Supremacy Entropic Awareness Chip. I tried buying and and wearing/binding a purple belt and had no problem with the belt.
The D'Vraenex legacy: Kylania-50 Chiss Sniper: Thelianna-50 Chiss Powertech: Morella-50 Chiss Sith Juggernaut: Thalira-30 Mirialan Sith Sorceress: Kaliara-20 Chiss Sith Assassin
Officer of Arch Presidium
Ebon Hawk

BuffoonButcher's Avatar


BuffoonButcher
12.04.2012 , 06:46 PM | #87
Well, I keep trying...Still cannot equip my 31 Shadow. So I guess I cannot continue on. Been saving up for a high level barrel for my assault cannon on my 50 Commando, but imagine paying 2 mil in GTN for one andnot being able to equip it? I know the answer. Buy cartel coins. Great sly motivation to sell more coins.....This will be fixed by my next re-bill date or else I am done with this game. Here is a hint...............re-bill means I am a subscriber............Which means I should be able to equip anything my toon can use. Whether it be junk or Artifact.

FurQue's Avatar


FurQue
12.04.2012 , 06:48 PM | #88
Its a strange issue, i can buy crafted mods and put them in orange gear and equip them, but not direct crafted purples

theblaznee's Avatar


theblaznee
12.04.2012 , 06:51 PM | #89
Quote: Originally Posted by BuffoonButcher View Post
Well, I keep trying...Still cannot equip my 31 Shadow. So I guess I cannot continue on. Been saving up for a high level barrel for my assault cannon on my 50 Commando, but imagine paying 2 mil in GTN for one andnot being able to equip it? I know the answer. Buy cartel coins. Great sly motivation to sell more coins.....This will be fixed by my next re-bill date or else I am done with this game. Here is a hint...............re-bill means I am a subscriber............Which means I should be able to equip anything my toon can use. Whether it be junk or Artifact.
I only have this issue on sub-50 equipment. I can buy and equip lvl 50 equipment just fine, so go ahead and buy your barrel
Don't mistake my silence for ignorance, my calmness for acceptance or my kindness for weakness!

Fight hard, die well!

Aizen's Avatar


Aizen
12.04.2012 , 07:11 PM | #90
I have an alt I'm leveling just bought some lvl 16 gear and it will not let me equip it.. Very annoying.

Note I looted a purple item and could equip it, but the purple items I bought will not equip..